For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/v2.0/api/products/llms.txt. For full documentation content, see https://developer.shipbob.com/v2.0/api/products/llms-full.txt.

# Get Taxonomy Parent by Id


GET https://api.shipbob.com/2.0/taxonomy/{id}/parent

Reference: https://developer.shipbob.com/v2.0/api/products/get-taxonomy-parent-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2.0
  version: 1.0.0
paths:
  /2.0/taxonomy/{id}/parent:
    get:
      operationId: get-taxonomy-parent-by-id
      summary: |
        Get Taxonomy Parent by Id
      tags:
        - subpackage_products
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products.TaxonomyViewModel'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Get.Api.V2.Taxonomy.Id.Parent.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Get.Api.V2.Taxonomy.Id.Parent.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Get.Api.V2.Taxonomy.Id.Parent.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Server Error
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Products.ChildTaxonomyViewModel:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        path:
          type:
            - string
            - 'null'
        has_children:
          type: boolean
      title: Products.ChildTaxonomyViewModel
    Products.BaseTaxonomyViewModel:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        path:
          type:
            - string
            - 'null'
      title: Products.BaseTaxonomyViewModel
    ProductsTaxonomyViewModelParent:
      oneOf:
        - $ref: '#/components/schemas/Products.BaseTaxonomyViewModel'
        - $ref: '#/components/schemas/Products.ChildTaxonomyViewModel'
        - $ref: '#/components/schemas/Products.TaxonomyViewModel'
      title: ProductsTaxonomyViewModelParent
    Products.TaxonomyViewModel:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        path:
          type:
            - string
            - 'null'
        children:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.ChildTaxonomyViewModel'
        parent:
          oneOf:
            - $ref: '#/components/schemas/ProductsTaxonomyViewModelParent'
            - type: 'null'
      title: Products.TaxonomyViewModel
    Products.ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Products.ProblemDetails
    Products.HttpValidationProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
      title: Products.HttpValidationProblemDetails
    Products.Get.Api.V2.Taxonomy.Id.Parent.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails:
      oneOf:
        - $ref: '#/components/schemas/Products.ProblemDetails'
        - $ref: '#/components/schemas/Products.HttpValidationProblemDetails'
      title: >-
        Products.Get.Api.V2.Taxonomy.Id.Parent.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails
    Products.Get.Api.V2.Taxonomy.Id.Parent.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails:
      oneOf:
        - $ref: '#/components/schemas/Products.ProblemDetails'
        - $ref: '#/components/schemas/Products.HttpValidationProblemDetails'
      title: >-
        Products.Get.Api.V2.Taxonomy.Id.Parent.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails
    Products.Get.Api.V2.Taxonomy.Id.Parent.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails:
      oneOf:
        - $ref: '#/components/schemas/Products.ProblemDetails'
        - $ref: '#/components/schemas/Products.HttpValidationProblemDetails'
      title: >-
        Products.Get.Api.V2.Taxonomy.Id.Parent.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Products_getTaxonomyParentById_example
import requests

url = "https://api.shipbob.com/2.0/taxonomy/id/parent"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Products_getTaxonomyParentById_example
const url = 'https://api.shipbob.com/2.0/taxonomy/id/parent';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products_getTaxonomyParentById_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2.0/taxonomy/id/parent"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products_getTaxonomyParentById_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2.0/taxonomy/id/parent")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Products_getTaxonomyParentById_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2.0/taxonomy/id/parent")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Products_getTaxonomyParentById_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2.0/taxonomy/id/parent', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Products_getTaxonomyParentById_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2.0/taxonomy/id/parent");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Products_getTaxonomyParentById_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/taxonomy/id/parent")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```